---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Texture.html">Texture</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tgui::Texture Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a5b6ff9f54b6349795cfe34f3866051b9">getColor</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#abbe25d1610e9e9d60c2f4183224d4a33">getData</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a322a37a0a7fe45fde6c5bd531732f944">getData</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a2966affc816182e418ad72d174dbde8b">getId</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a7d7a113000dc6cc15e82b5da9eabae51">getImageLoader</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#aea07cdfdda3e2c773552ededfd6e26b9">getImageSize</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a199b6fbd749dbfd5e000ac9714d7f096">getMiddleRect</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a90a5e1461403267d9cc370df16b34ba0">getScalingType</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#acea39d21c2435bb370f0727afd341352">getSize</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#ab72bd0daf87a89164b11d6aec315d1f7">getTextureLoader</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#aa26d635449a54dc8a325a5ebd889416e">getTextureRect</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#adb79cf4d9168fcdfcbadd5c4357a4249">isLoaded</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#aa434c72adfabf617afb06772960cc0f9">isSmooth</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a2985f0d92540442789ebb83ba5800b54">isTransparentPixel</a>(float x, float y) const </td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a4860c6e7da84910d9352767ff2ab9f6d">load</a>(const sf::Texture &amp;texture, const sf::IntRect &amp;partRect={}, const sf::IntRect &amp;middleRect={})</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a048f16c2c160564ee9faeb6d83e467a1">load</a>(const sf::String &amp;id, const sf::IntRect &amp;partRect={}, const sf::IntRect &amp;middleRect={})</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a0bab672188429774804229e5e7709ba9">operator=</a>(const Texture &amp;right)</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#aaba70370fcc0e5fe13508646d2300014">ScalingType</a> enum name</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a60372afe16918d68f23225e3b474dfef">setColor</a>(const sf::Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#ac4ba6ca2d45b2dc6a4ebbfcace1e77b0">setCopyCallback</a>(const std::function&lt; void(std::shared_ptr&lt; TextureData &gt;)&gt; func)</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a2c86591900554e80c396af648a3f4464">setDestructCallback</a>(const std::function&lt; void(std::shared_ptr&lt; TextureData &gt;)&gt; func)</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a4f8e5fcf1d281d52e9d549cdbeff49d3">setImageLoader</a>(const ImageLoaderFunc &amp;func)</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#afdd23a9f13b870700d65073bf4731c50">setSize</a>(const sf::Vector2f &amp;size)</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a955bff3e4065fa08d44be9965412ff27">setSmooth</a>(bool smooth)</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a6a5b18e43b8c6cd0a3ef29a8f2c6668f">setTexture</a>(std::shared_ptr&lt; TextureData &gt; data, const sf::IntRect &amp;middleRect={})</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a03e96e2501defa4e985371c318dc8915">setTextureLoader</a>(const TextureLoaderFunc &amp;func)</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a8ddbe2a731d9fc38296ec10a3154f853">setTextureRect</a>(const sf::FloatRect &amp;textureRect)</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#aa62ae5c1e87888eee4f52cc9622e813b">Texture</a>()</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#aedb388fbabb82f772ea50e83b00d7ca7">Texture</a>(const sf::String &amp;id, const sf::IntRect &amp;partRect=sf::IntRect(0, 0, 0, 0), const sf::IntRect &amp;middlePart=sf::IntRect(0, 0, 0, 0))</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Texture.html#af62b1bfa9b456591074efeeb2393253d">Texture</a>(const sf::Texture &amp;texture, const sf::IntRect &amp;partRect=sf::IntRect(0, 0, 0, 0), const sf::IntRect &amp;middlePart=sf::IntRect(0, 0, 0, 0))</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Texture.html#a6cdac82b7914f87ff150de577206981b">Texture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1Texture.html">tgui::Texture</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:45 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
